Qt Reference Documentation

# QS60MainApplication Class Reference

The QS60MainApplication class provides support for migration from S60. More...

     #include <QS60MainApplication>

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Functions

| QS60MainApplication ()
virtual | ~QS60MainApplication ()
virtual TUid | AppDllUid () const
virtual TFileName | ResourceFileName () const

## Protected Functions

virtual CApaDocument * | CreateDocumentL ()

## Detailed Description

The QS60MainApplication class provides support for migration from S60.

Warning: This class is provided only to get access to S60 specific functionality in the application framework classes. It is not portable. We strongly recommend against using it in new applications.

The QS60MainApplication provides a helper class for use in migrating from existing S60 based applications to Qt based applications. It is used in the exact same way as the `CEikApplication` class from Symbian, but internally provides extensions used by Qt.

When modifying old S60 applications that rely on implementing functions in `CEikApplication`, the class should be modified to inherit from this class instead of `CEikApplication`. Then the application can choose to override only certain functions. To make Qt use the custom application objects, pass a factory function to `QApplication::QApplication(QApplication::QS60MainApplicationFactory, int &, char **)`.

For more information on `CEikApplication`, please see the S60 documentation.

Unlike other Qt classes, QS60MainApplication behaves like an S60 class, and can throw Symbian leaves.

See also QS60MainDocument, QS60MainAppUi, and QApplication::QS60MainApplicationFactory.

## Member Function Documentation

### QS60MainApplication::QS60MainApplication ()

Contructs an instance of QS60MainApplication.

### QS60MainApplication::~QS60MainApplication ()`[virtual]`

Destroys the QS60MainApplication.

### TUid QS60MainApplication::AppDllUid () const`[virtual]`

Returns the UID of the application.

### CApaDocument * QS60MainApplication::CreateDocumentL ()`[virtual protected]`

Creates an instance of QS60MainDocument.

See also QS60MainDocument.

### TFileName QS60MainApplication::ResourceFileName () const`[virtual]`

Returns the resource file name.